%define major 15

Summary:       A Free and Open Source interactive spelling checker program.
Name:          aspell
Version:       0.50.3
Release:       1mdk
Group:         Text tools
Source0:       ftp://ftp.gnu.org/gnu/aspell/%{name}-%{version}.tar.bz2
URL:           http://aspell.net/
BuildRequires: autoconf2.5
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
License:       GPL

# Mandrake Stuff.
Requires:      aspell-dictionary, libaspell%major = %version-%release

%description
GNU Aspell is a Free and Open Source spell checker designed to eventually 
replace Ispell. It can either be used as a library or as an independent 
spell checker. 
Its main feature is that it does a much better job of coming up with possible 
suggestions than just about any other spell checker out there for the English 
language, including Ispell and Microsoft Word. It also has many other technical 
enhancements over Ispell such as using shared memory for dictionaries and 
intelligently handling personal dictionaries when more than one Aspell process 
is open at once. 


%package -n libaspell%major
Group:          Text tools
Summary:        Shared library files for aspell

%description -n libaspell%major
Shared library files for the aspell package.

%package -n libaspell%major-devel
Group:          Development/Other
Summary:        Development files for aspell
Requires:       %name = %version-%release, libaspell%major = %version-%release
Provides:       libaspell-devel = %{version}
Provides:		aspell-devel = %{version}
Obsoletes:      aspell-devel
Conflicts:		libpspell4-devel

%description -n libaspell%major-devel
Development headers, and files for development from the aspell package.

%prep
%setup -q

libtoolize --copy --force
autoconf

%build


%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
# rpm now compains about unpackaged files..
mv $RPM_BUILD_ROOT/usr/share/doc/%{name} . 

%post -n libaspell%{major} -p /sbin/ldconfig
%postun -n libaspell%{major} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO %{name}
%{_bindir}/aspell*
%{_bindir}/run-with-aspell
%{_bindir}/word-list-compress
%{_datadir}/aspell

%files -n libaspell%{major}
%defattr(-, root, root)
%{_libdir}/lib*.so.*
#%{_libdir}/libaspell-common-%{version}.so

%files -n libaspell%{major}-devel
%defattr(-, root, root)
%{_bindir}/pspell-config
%{_includedir}/*
%{_libdir}/libaspell.so
%{_libdir}/libpspell.so
#%{_libdir}/libaspell-common.so
%{_libdir}/lib*a


%changelog
* Sun Nov 24 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.50.3-1mdk
- 0.50.3

* Wed Oct 30 2002 Stefan van der Eijk <stefan@eijk.nu> 0.50.2-2mdk
- BuildRequires: autoconf2.5

* Thu Oct 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.50.2-1mdk
- Release 0.50.2 (merged with pspell)
- Remove dictionnary subpackages, they are no longer generated by aspell main 
package 
- Remove patch0 (merged upstream)

* Tue Aug 13 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0%{src_ver}-7mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Wed Jul 31 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.33.7.1-6mdk
- Use %%configure2_5x macro

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.33.7.1-5mdk
- Automated rebuild with gcc3.2

* Wed May 22 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.33.7.1-4mdk
- Automated rebuild with gcc 3.1-1mdk

* Tue Jan 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> .33.7.1-3mdk
- Patch0: fix2 patch from authors (thanks to tv for notifying)

* Wed Nov  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.33.7.1-2mdk
- Fix pspell directory

* Mon Aug 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.33.7.1-1mdk
- Release .33.7.1

* Thu Aug 16 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.33.7-2mdk
- Move pspell .la files in main package (fix pspell support)

* Thu Aug  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.33.7-1mdk
- Release .33.7
- Remove patch0 (merged upstream)

* Fri Jul 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.33.6.3-2mdk
- Patch0: official fix for gcc and some charset errors
- clean specfile

* Fri Jun 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.33.6.3-1mdk
- Release .33.6.3

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.33.6-5mdk
- BuildRequires: libtool-devel

* Sat Jun  2 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.33.6-4mdk
- Use configure macro on non-x86, move configure step to %%build
- New packages libaspell, libaspell-devel for library policy
- Re-zip source with bzip2 not gzip

* Sat May 26 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.33.6-3mdk
- rebuild on new environment

* Thu May 24 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.33.6-2mdk
- rebuild and included docs

* Fri May 18 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.33.6-1mdk
- updated and rebuild against new libpspell

* Thu Jan 18 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.32.5-4mdk
- build release

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 0.32.5-3mdk
- Fix Requires and BuildRequires

* Wed Sep 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.32.5-2mdk
- Provides pwli files (Thanks Michael Reinsch)

* Fri Aug 25 2000 Troels Liebe Bentsen 0.32.5-1mdk
- Updated to new version.
- Added packages en, en_CA, en_GB

* Thu Aug 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.32.1-1mdk
- release 0.32.1 (merge from helix 0_helix_1)
- BM + macroszification

* Thu Jan 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 28.3-1mdk
- v28.3 

* Fri Aug 27 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- initial spec
